(ns plf08.pares)
(defn tabla
  [c]
  (let [xs {\@ "♕♚"
            \` "♔♜"
            \! "♘♛"
            \A "♝♔"
            \a "♜♜"
            \Á "♛♜"
            \á "♜♞"
            \" "♘♚"
            \B "♛♞"
            \b "♜♝"
            \# "♘♖"
            \C "♛♝"
            \c "♜♛"
            \$ "♘♘"
            \D "♛♛"
            \d "♜♚"
            \% "♘♗"
            \E "♛♚"
            \e "♜♖"
            \& "♘♕"
            \F "♛♘"
            \f "♜♗"
            \' "♘♔"
            \G "♛♗"
            \g "♜♕"
            \( "♗♜"
            \H "♛♕"
            \h "♜♔"
            \) "♗♞"
            \I "♛♔"
            \i "♞♜"
            \É "♛♖"
            \é "♜♘"
            \* "♗♝"
            \+ "♗♛"
            \K "♚♜"
            \k "♞♞"
            \, "♗♚"
            \L "♚♞"
            \l "♞♝"
            \- "♗♖"
            \M "♚♝"
            \m "♞♛"
            \. "♗♘"
            \N "♚♛"
            \n "♞♚"
            \/ "♗♗"
            \O "♚♖"
            \o "♞♘"
            \0 "♖♕"
            \P "♚♗"
            \p "♞♕"
            \1 "♖♔"
            \Q "♚♕"
            \q "♞♔"
            \Ñ "♚♚"
            \ñ "♞♖"
            \2 "♘♜"
            \R "♚♔"
            \r "♝♜"
            \3 "♘♞"
            \S "♖♜"
            \s "♝♞"
            \Ó "♚♘"
            \ó "♞♗"
            \4 "♘♝"
            \T "♖♞"
            \t "♝♝"
            \5 "♔♖"
            \U "♖♝"
            \u "♝♛"
            \6 "♔♘"
            \V "♖♛"
            \v "♝♚"
            \7 "♔♗"
            \W "♖♚"
            \w "♝♖"
            \8 "♔♕"
            \X "♖♖"
            \x "♝♘"
            \9 "♔♔"
            \Y "♖♘"
            \y "♝♗"
            \: "♗♕"
            \Z "♖♗"
            \z "♝♕"
            \; "♗♔"
            \[ "♕♖"
            \{ "♔♞"
            \< "♕♜"
            \\ "♕♘"
            \| "♔♝"
            \= "♕♞"
            \] "♕♗"
            \} "♔♛"
            \> "♕♝"
            \^ "♕♕"
            \~ "♔♚"
            \? "♕♛"
            \_ "♕♔"
            "♗♛" \+
            "♛♛" \D
            "♕♝" \>
            "♘♗" \%
            "♖♗" \Z
            "♚♛" \N
            "♞♔" \q
            "♗♚" \,
            "♕♕" \^
            "♞♚" \n
            "♛♔" \I
            "♚♝" \M
            "♘♝" \4
            "♘♚" \"
            "♕♚" \@
            "♜♚" \d
            "♚♘" \Ó
            "♔♘" \6
            "♜♔" \h
            "♞♗" \ó
            "♗♞" \)
            "♕♘" \\
            "♞♛" \m
            "♜♖" \e
            "♕♛" \?
            "♜♛" \c
            "♝♘" \x
            "♚♞" \L
            "♕♗" \]
            "♛♜" \Á
            "♛♘" \F
            "♝♜" \r
            "♚♜" \K
            "♔♞" \{
            "♖♛" \V
            "♕♞" \=
            "♔♛" \}
            "♖♔" \1
            "♝♞" \s
            "♞♕" \p
            "♕♔" \_
            "♞♝" \l
            "♛♗" \G
            "♖♘" \Y
            "♔♖" \5
            "♚♗" \P
            "♗♗" \/
            "♘♘" \$
            "♜♞" \á
            "♘♛" \!
            "♘♕" \&
            "♔♕" \8
            "♛♕" \H
            "♗♝" \*
            "♝♝" \t
            "♗♔" \;
            "♖♖" \X
            "♖♚" \W
            "♖♕" \0
            "♜♜" \a
            "♚♕" \Q
            "♔♜" \`
            "♜♗" \f
            "♔♝" \|
            "♞♜" \i
            "♝♚" \v
            "♔♔" \9
            "♜♘" \é
            "♘♖" \#
            "♝♗" \y
            "♔♚" \~
            "♝♛" \u
            "♚♔" \R
            "♝♖" \w
            "♔♗" \7
            "♖♝" \U
            "♜♕" \g
            "♛♞" \B
            "♗♜" \(
            "♞♞" \k
            "♘♜" \2
            "♘♞" \3
            "♚♖" \O
            "♛♖" \É
            "♘♔" \'
            "♝♕" \z
            "♞♘" \o
            "♕♜" \<
            "♛♝" \C
            "♗♘" \.
            "♗♕" \:
            "♝♔" \A
            "♖♜" \S
            "♞♖" \ñ
            "♜♝" \b
            "♚♚" \Ñ
            "♗♖" \-
            "♛♚" \E
            "♕♖" \[
            "♖♞" \T}
        v (fn [r] (cond
                    (or (= r \í) (or (= r \j)))  (get xs \i)
                    (or (= r \Í) (or (= r \J)))  (get xs \I)
                    (or (= r \ú) (or (= r \ü)))  (get xs \u)
                    (or (= r \Ú) (or (= r \Ü)))  (get xs \U)
                    :else
                    (get xs r r)))]
    (v c)))

